<mat-card
  *ngIf="mode !== 'update'"
  class="hotel"
  [ngClass]="{ 'hotel--update': mode === 'update' }"
>
  <form [formGroup]="form" autocomplete="off">
    <div class="header">
      <div class="title">
        <mat-icon>wc</mat-icon>
        <span *ngIf="!isUpdate; else lableEdit">افـــزودن هتل جدید</span>
        <ng-template #lableEdit>
          <span>ويــرایش هتل جدید</span>
        </ng-template>
      </div>
    </div>

    <div class="form">
      <div class="inner-form">
        <div class="hotel__title">
          <div>
            <div class="form__input">
              <form-input
                inputName="hotel_name"
                [inputForm]="form"
                [validation]="formValidation['hotel_name']"
                label="نام هتل"
                required
                placeholder="نام هتل را وارد کنید"
              >
              </form-input>
            </div>
          </div>
          <div class="form__input">
            <form-input
              inputName="count_room"
              [inputForm]="form"
              [validation]="formValidation['count_room']"
              label="تعداد اتاق"
              required
              placeholder="تعداد اتاق را وارد کنید"
            >
            </form-input>
          </div>
          <div class="form__input">
            <form-input
              inputName="phone_number"
              [inputForm]="form"
              [validation]="formValidation['phone_number']"
              label="تلفن همراه"
              required
              placeholder="تلفن همراه را وارد کنید"
            >
            </form-input>
          </div>
          <div class="form__input">
            <form-input
              inputName="email"
              [inputForm]="form"
              [validation]="formValidation['email']"
              label="ایمیل"
              required
              placeholder="ایمیل را وارد کنید"
            >
            </form-input>
          </div>

          <div class="hotel__submit" *ngIf="!isUpdate; else update">
            <button mat-button (click)="onAddHotel()">
              <div *ngIf="isPending; else noPending" class="progress">
                <mat-spinner
                  color="#fff"
                  [diameter]="30"
                  [strokeWidth]="3"
                ></mat-spinner>
              </div>

              <ng-template #noPending>
                <mat-icon>add</mat-icon>
                <span>افـــزودن هتل</span>
              </ng-template>
            </button>
          </div>
          <ng-template #update>
            <div class="hotel__submit">
              <button mat-button (click)="onUpdateHotel()">
                <div *ngIf="isPending; else noPending" class="progress">
                  <mat-spinner
                    color="#fff"
                    [diameter]="30"
                    [strokeWidth]="3"
                  ></mat-spinner>
                </div>

                <ng-template #noPending>
                  <mat-icon>edit</mat-icon>
                  <span>ويــرایش هتل</span>
                </ng-template>
              </button>
            </div>
          </ng-template>
        </div>
      </div>
    </div>
  </form>
</mat-card>
